Gets user information.
GET
https://drive.cloud.hicloud.com/drive/v1/about
*Some parameters are mandatory.
| Parameter Name | Type | Description | |
| fields | string | query | Fields in the request, which are in the partial response format.(Mandatory) |
| form | string | query | Media format. |
| prettyPrint | boolean | query | Indicates whether to return a response in a human-readable format. |
| quotaId | string | query | User identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user. |
| callback | string | query | Callback function used in JSONP requests. |
| x-hw-trace-id | string | header | ID used for service tracing. |
| x-hw-app-id | string | header | App ID. |
| version | string | header | SDK version number. |
| x-hw-terminal | string | header | Device model. |
| x-hw-os | string | header | Device operating system. |
| unionID | string | header | Open user ID. |
| User-Agent | string | header | App version number or ID. |
Leave the request body empty.
| Parameter Name | Type | Description |
If successful, this method returns a response body with the following structure:
- {
- "category": "drive#about",
- "user": {
- "category": "drive#user",
- "displayName": "string",
- "profilePhotoLink": "string",
- "me": true,
- "permissionId": "string",
- "userAccount": "string"
- },
- "storageQuota": {
- "userCapacity": "string",
- "usedSpace": "string"
- },
- "maxFileUploadSize": 0,
- "maxThumbnailSize": 0,
- "domain": "string",
- "needUpdate": true,
- "updateUrl": "string"
- }
| Parameter Name | Type | Description |
| category | string | Resource type. The value is always drive#about. |
| user.category | string | User type. The value is always drive#user. |
| user.displayName | string | Display namefor this user. |
| user.profilePhotoLink | string | Link to the user's profile picture, which is not returned by default. |
| user.me | boolean | Indicates whether this user is the requesting user. |
| user.permissionId | string | Permission ID. |
| user.userAccount | string | Account of the user, which is not returned by default. |
| storageQuota.userCapacity | string | Total storage. |
| storageQuota.usedSpace | string | Used storage. |
| maxFileUploadSize | integer | Maximum size of a file that can be uploaded. |
| maxThumbnailSize | integer | Maximum size of a thumbnail. |
| domain | string | Domain name of this site. |
| needUpdate | boolean | Indicates whether user data needs to be updated. |
| updateUrl | string | URL of the update page. |